Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.flow.hadoop.stream
Class HadoopMemoryJoinGate

    java.lang.Object
      cascading.flow.stream.Duct<Incoming,Outgoing>
          cascading.flow.stream.Gate<TupleEntry,Grouping<TupleEntry,TupleEntryIterator>>
              cascading.flow.stream.SpliceGate
                  cascading.flow.stream.MemorySpliceGate
                      cascading.flow.stream.MemoryHashJoinGate
                          cascading.flow.hadoop.stream.HadoopMemoryJoinGate

All Implemented Interfaces:
  Collapsing, ElementDuct

    public class HadoopMemoryJoinGate

extends MemoryHashJoinGate

Nested Class Summary
`static class` | `HadoopMemoryJoinGate.Spill`

Nested classes/interfaces inherited from class cascading.flow.stream.MemorySpliceGate
`MemorySpliceGate.DelegatedTuple`

Nested classes/interfaces inherited from class cascading.flow.stream.SpliceGate
`SpliceGate.Role`

Field Summary

Fields inherited from class cascading.flow.stream.MemoryHashJoinGate
`latch`

Fields inherited from class cascading.flow.stream.MemorySpliceGate
`closure, count, groupComparators, groupHasher, keys, keyValues, nullsAreNotEqual, numIncomingPaths, posMap, valueComparators`

Fields inherited from class cascading.flow.stream.SpliceGate
`flowProcess, grouping, incomingScopes, keyBuilder, keyEntry, keyFields, orderedPrevious, outgoingScopes, role, sortBuilder, sortFields, splice, tupleEntryIterator, valuesBuilder, valuesFields`

Fields inherited from class cascading.flow.stream.Gate
`allPrevious`

Fields inherited from class cascading.flow.stream.Duct
`next`

Constructor Summary
`HadoopMemoryJoinGate(FlowProcess<JobConf> flowProcess, HashJoin join)`

Method Summary
`protected void` | `countDownLatch()`
`protected Set<Tuple>` | `createKeySet()`
`protected Map<Tuple,Collection<Tuple>>` | `createTupleMap()`
`protected void` | `waitOnLatch()`

Methods inherited from class cascading.flow.stream.MemoryHashJoinGate
`bind, complete, isBlockingStreamed, prepare, receive`

Methods inherited from class cascading.flow.stream.MemorySpliceGate
`createDefaultNarrowBuilder, createKeyValuesArray, getDelegatedTuple, getKeyComparator, initialize`

Methods inherited from class cascading.flow.stream.SpliceGate
`addIncomingScope, addOutgoingScope, cleanup, createNarrowBuilder, createNulledBuilder, equals, getBranchNames, getFlowElement, getIncomingScopes, getOutgoingScopes, handleException, handleReThrowableException, hashCode, hasTrapHandler, makePosMap, orderDucts, setBranchNames, setTrapHandler, toString`

Methods inherited from class cascading.flow.stream.Gate
`getAllPreviousFor`

Methods inherited from class cascading.flow.stream.Duct
`getNext, getNextFor, receiveFirst, start`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HadoopMemoryJoinGate

    public HadoopMemoryJoinGate(FlowProcess<JobConf> flowProcess,
                                HashJoin join)

Method Detail

### createKeySet

    protected Set<Tuple> createKeySet()

  Overrides:
    `createKeySet` in class `MemorySpliceGate`

### createTupleMap

    protected Map<Tuple,Collection<Tuple>> createTupleMap()

  Overrides:
    `createTupleMap` in class `MemorySpliceGate`

### waitOnLatch

    protected void waitOnLatch()

  Overrides:
    `waitOnLatch` in class `MemoryHashJoinGate`

### countDownLatch

    protected void countDownLatch()

  Overrides:
    `countDownLatch` in class `MemoryHashJoinGate`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.